Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.recipe.service.impl
Class PrescriberServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.recipe.service.impl.PrescriberServiceImpl

All Implemented Interfaces:
  PrescriberService

Deprecated.

    @Deprecated
    public class PrescriberServiceImpl

extends Object
implements PrescriberService

Implementation of `PrescriberService`

Constructor Summary
`PrescriberServiceImpl(EhealthReplyValidator replyValidator)` Deprecated. Instantiates a new prescriber service impl.
`PrescriberServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)` Deprecated.

Method Summary
`CreatePrescriptionResponse` | `createPrescription(SAMLToken token, CreatePrescriptionRequest request)` Deprecated. Creates the prescription.
`GetPrescriptionForPrescriberResponse` | `getPrescription(SAMLToken token, GetPrescriptionForPrescriberRequest request)` Deprecated. Gets the prescription.
`ListFeedbacksResponse` | `listFeedbacks(SAMLToken token, ListFeedbacksRequest request)` Deprecated. List feedbacks.
`ListOpenPrescriptionsResponse` | `listOpenPrescription(SAMLToken token, ListOpenPrescriptionsRequest request)` Deprecated. List open prescription.
`RevokePrescriptionResponse` | `revokePrescription(SAMLToken token, RevokePrescriptionRequest request)` Deprecated. Revoke prescription.
`SendNotificationResponse` | `sendNotification(SAMLToken token, SendNotificationRequest request)` Deprecated. Send notification.
`UpdateFeedbackFlagResponse` | `updateFeedbackFlag(SAMLToken token, UpdateFeedbackFlagRequest request)` Deprecated. Update feedback flag.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrescriberServiceImpl

    public PrescriberServiceImpl(EhealthReplyValidator replyValidator)

  Deprecated.
  Instantiates a new prescriber service impl.

  Parameters:
    `replyValidator` - the reply validator

### PrescriberServiceImpl

    @Deprecated
    public PrescriberServiceImpl(SessionValidator sessionValidator,
                                            EhealthReplyValidator replyValidator)

  Deprecated.

  Instantiates a new prescriber service impl.

  Parameters:
    `sessionValidator` - the session validator
    `replyValidator` - the reply validator

Method Detail

### createPrescription

    public CreatePrescriptionResponse createPrescription(SAMLToken token,
                                                         CreatePrescriptionRequest request)
                                                  throws TechnicalConnectorException,
                                                         SessionManagementException

  Deprecated.
  Creates the prescription.

  Specified by:
    `createPrescription` in interface `PrescriberService`
  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the creates the prescription response
  Throws:
    `TechnicalConnectorException` - the technical connector exception the technical connector exception
    `SessionManagementException`

### sendNotification

    public SendNotificationResponse sendNotification(SAMLToken token,
                                                     SendNotificationRequest request)
                                              throws TechnicalConnectorException,
                                                     SessionManagementException

  Deprecated.
  Send notification.

  Specified by:
    `sendNotification` in interface `PrescriberService`
  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the send notification response
  Throws:
    `TechnicalConnectorException` - the technical connector exception the technical connector exception
    `SessionManagementException`

### revokePrescription

    public RevokePrescriptionResponse revokePrescription(SAMLToken token,
                                                         RevokePrescriptionRequest request)
                                                  throws TechnicalConnectorException,
                                                         SessionManagementException

  Deprecated.
  Revoke prescription.

  Specified by:
    `revokePrescription` in interface `PrescriberService`
  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the revoke prescription response
  Throws:
    `TechnicalConnectorException` - the technical connector exception the technical connector exception
    `SessionManagementException`

### getPrescription

    public GetPrescriptionForPrescriberResponse getPrescription(SAMLToken token,
                                                                GetPrescriptionForPrescriberRequest request)
                                                         throws TechnicalConnectorException,
                                                                SessionManagementException

  Deprecated.
  Gets the prescription.

  Specified by:
    `getPrescription` in interface `PrescriberService`
  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the prescription
  Throws:
    `TechnicalConnectorException` - the technical connector exception the technical connector exception
    `SessionManagementException`

### listOpenPrescription

    public ListOpenPrescriptionsResponse listOpenPrescription(SAMLToken token,
                                                              ListOpenPrescriptionsRequest request)
                                                       throws TechnicalConnectorException,
                                                              SessionManagementException

  Deprecated.
  List open prescription.

  Specified by:
    `listOpenPrescription` in interface `PrescriberService`
  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the list open prescriptions response
  Throws:
    `TechnicalConnectorException` - the technical connector exception the technical connector exception
    `SessionManagementException`

### updateFeedbackFlag

    public UpdateFeedbackFlagResponse updateFeedbackFlag(SAMLToken token,
                                                         UpdateFeedbackFlagRequest request)
                                                  throws TechnicalConnectorException,
                                                         SessionManagementException

  Deprecated.
  Update feedback flag.

  Specified by:
    `updateFeedbackFlag` in interface `PrescriberService`
  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the update feedback flag response
  Throws:
    `TechnicalConnectorException` - the technical connector exception the technical connector exception
    `SessionManagementException`

### listFeedbacks

    public ListFeedbacksResponse listFeedbacks(SAMLToken token,
                                               ListFeedbacksRequest request)
                                        throws TechnicalConnectorException,
                                               SessionManagementException

  Deprecated.
  List feedbacks.

  Specified by:
    `listFeedbacks` in interface `PrescriberService`
  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the list feedbacks response
  Throws:
    `TechnicalConnectorException` - the technical connector exception the technical connector exception
    `SessionManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.